%define oname   mustache

Name:       ruby-%{oname}
Version:    0.99.4
Release:    %mkrel 3
Summary:    A framework-agnostic way to render logic-free views
Group:      Development/Ruby
License:    MIT
URL:        http://github.com/defunkt/mustache
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Inspired by ctemplate, Mustache is a framework-agnostic way to render
logic-free views. As ctemplates says, "It emphasizes separating logic
from presentation: it is impossible to embed application logic in this
template language. Think of Mustache as a replacement for your views.
Instead of views consisting of ERB or HAML with random helpers and
arbitrary logic, your views are broken into two parts: a Ruby class
and an HTML template.

#-------------------------------------------------------------------------------

%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

%files
%{_bindir}/%{oname}
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.99.4-3.mga3
+ Revision: 396184
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.99.4-2.mga3
+ Revision: 381125
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 0.99.4-1.mga3
+ Revision: 312066
- update file list
- imported package ruby-mustache

